
Redmine - Feature #3995

Upgrade to "Files" module

2009-10-08 01:08 - Michael Koch

Status: New Start date: 2009-10-08

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

when files are uploaded/added to an Issue, Wiki page, Forum, Document etc, then the file will show up in the "Files" module

with an extra column titled "Related To:" which would have a short link to where that file came from

Folders: each file could be filed into a certain folder

or

Tags: each file could be tagged with multiple tags to help organize the information better

Related issues:

Related to Redmine - Feature #4238: Have files be a complete, aggregated list... New 2009-11-18

Related to Redmine - Feature #991: Document versioning New 2008-04-04

Related to Redmine - Feature #1196: Add versioning for Files and Documents New 2008-05-07

History

#1 - 2009-10-11 01:00 - Bruno Medeiros

Michael Koch wrote:

when files are uploaded/added to an Issue, Wiki page, Forum, Document etc, then the file will show up in the "Files" module with an extra

column titled "Related To:" which would have a short link to where that file came from

 +1 for this!! It would be really good, sometimes finds files in tickets are so dificult.

Folders: each file could be filed into a certain folder

or

Tags: each file could be tagged with multiple tags to help organize the information better

 I think that folders are useless when using tabs. GMail, for example, use tags instead of folders and it's a very good approach for me.

#2 - 2009-10-11 02:22 - Michael Koch

I agree about the Tags vs Folders topic. I just wanted to present both, but I think tags are the way to go, definitely after my experience using GMail.

Would this be a tough addition? (both aggregating all the files and tagging?)

#3 - 2009-10-12 22:18 - Bruno Medeiros

Michael Koch wrote:

I agree about the Tags vs Folders topic. I just wanted to present both, but I think tags are the way to go, definitely after my experience using

GMail.

 Oh, sorry. I didn't realized the 'or' in your original post.

Would this be a tough addition? (both aggregating all the files and tagging?)

 I believe I'm not the right guy to answer that since I'm not a Ruby developer, only a Redmine user.. :(

Maybe someone else could answer..

#4 - 2009-10-13 08:30 - Michael Koch
Yes, unfortunately I am not a programmer either. Maybe it will get picked up by someone.

#5 - 2009-12-03 15:02 - Richard Schulte

+ 1

#6 - 2010-03-10 09:34 - Oshyan Greene

+1

And if this could also tie in to allowing "universal" file linking, that would be nice to. In other words file is assigned both an absolute and a relative

identifier. In the page it was uploaded on, it can be referenced by attachment number relative to that page. For linking to files outside of the page,

whether linked to other pages, or in the mail files area, proper file name could be used perhaps?

#7 - 2010-10-12 14:34 - Aleksandar Pavic

+1, might also be ralted to #800,#2555,#1196

#8 - 2012-03-22 10:40 - Rasmus Pape Rydahl

+1

#9 - 2012-11-15 20:53 - Pawel Orzechowski

- Assignee set to Jean-Philippe Lang

Actually, I think this is a very good feature. Are there any plans to include it in redmine? Or maybe there is another idea?

What about this design here (it is 2 years old!)

Maybe there are some other issues related to new document/files/pictures managemnt?

#10 - 2012-11-15 23:11 - Terence Mill

+1

#11 - 2014-06-22 01:43 - Toshi MARUYAMA

- Related to Feature #4238: Have files be a complete, aggregated list of all documents in that project added

#12 - 2014-06-22 01:45 - Toshi MARUYAMA

- Related to Feature #2555: Possibility for update Documents - version control  added

#13 - 2014-06-22 01:47 - Toshi MARUYAMA

- Related to Feature #991: Document versioning added

#14 - 2014-06-22 01:47 - Toshi MARUYAMA

- Related to deleted (Feature #2555: Possibility for update Documents - version control )

#15 - 2014-06-22 01:49 - Toshi MARUYAMA

- Related to Feature #1196: Add versioning for Files and Documents added
